using Dto;
using Entities;
using Shared;
using Shared.Mapper;

namespace API.Service;

public class NotePadDataServiceApi(INotePadService<NotepadEntity> notePadService) : INotePadService<NotepadDto>
{
    public NotepadDto GetNotePadById(int id) => notePadService.GetNotePadById(id).FromEntityToDto();
}